Loading...
Searching...
No Matches
sequence_container Interface Reference
Utility » Container

A more refined container concept than seqan3::container. More...

`#include <seqan3/utility/container/concept.hpp>`

Inheritance diagram for sequence_container:
[legend]

## Detailed Description

A more refined container concept than seqan3::container.

Includes constraints on constructors, assign(), .insert(), .erase(), .push_back(), .pop_back, .clear(), .size(), front() and .back() member functions with corresponding signatures. Models the subset of the STL SequenceConcept that is supported by std::list, std::vector, std::deque, std::basic_string.

Attention
  std::array and std::forward_list do not satisfy this concept.

This entity is not part of the SeqAn API. Do not rely on it in your applications. Exposition only.

The documentation for this interface was generated from the following file:

- utility/container/concept.hpp

Hide me